LINUX.ORG.RU

Debian 5.0.4

 ,


0

0

Сегодня было официально объявлено о выходе четвертого обновления для Debian 5.0 «Lenny».

В числе основных изменений:

  • Обновлено 79 пакетов, включая linux-2.6 (ядро), dpkg, apache2, php5, mysql, proftpd, samba, dhcp3, и многие другие. Часть этих пакетов была обновлена для устранения проблем безопасноти (см. следующий пункт), остальные — для исправления обычных ошибок. Полный список обновленных пакетов с кратким описанием причины обновления доступен по ссылке «Подробности» (раздел «Miscellaneous Bugfixes»).
  • Внесено 112 исправлений безопасности, затронувших, в частности, nginx, apache2, php5, openssl, cyrus-imapd, postgresql, kvm, iceweasel/xulrunner, pidgin и ряд других пакетов, включая, разумеется, bind9. Полный список анонсов безопасности с кратким описанием уязвимостей доступен по ссылке «Подробности» (раздел «Security Updates»).
  • Удалено по различным причинам пять пакетов: destar, electricsheep, gnudip, kcheckgmail, libgnucrypto-java. Причины удаления каждого пакета пояснены по ссылке «Подробности» (раздел «Removed packages»).
  • Улучшена работа debian installer (d-i):
    • Обновлена сборка ядра, используемая в d-i. Исправлены некоторые ошибки, устранен ряд проблем с безопасностью.
    • Исправлена ошибка в udev, блокирующая работу светодиодов и зуммера во время установки системы на некоторых NAS'ах производства QNAP.
    • Улучшена поддержка установки oldstable и более старых версий Debian.
    • Исправлена проблема загрузки d-i с CD на архитектуре System/390.
    • Поддерживается работа с системами, аппаратные часы которых установлены на дату до зарождения Вселенной (01.01.1970).

>>> Подробности

★★★★

Проверено: maxcom ()

скорее бы уже lenny похоронили, сквиз давайте! я вот lenny везде похоронил, но как назло достался сервер с lenny - первый раз в жизни увидел вылет намертво aptitude.

anonymous ()
Ответ на: комментарий от anonymous

с такими запросами тебе прямая дорога в арч, я с Ленни не растанусь еще год послу выхода Сквиза

cuki ★★★★ ()
Ответ на: комментарий от anonymous

>первый раз в жизни увидел вылет намертво aptitude.

А вот по моим наблюдениям, aptitude всегда кошмарно глючит независимо от версии и даже от дистрибутива.

nnz ★★★★ ()
Ответ на: комментарий от dogbert

>Отлично, обновляюсь.

Т.е. вы обновляетесь только при выходе официального апдейта установочных образов?

Страшно представить, как часто вы моетесь...

nnz ★★★★ ()

electricsheep No longer functional

ЭЭЭ!!! Серьезно?!

t184256 ★★★★★ ()
Ответ на: комментарий от nnz

> А вот по моим наблюдениям, aptitude всегда кошмарно глючит независимо от версии и даже от дистрибутива.

никогда до позавчерашнего дня не видел ни одной проблемы с aptitude, коей пользуюсь с 2005 года. а в lenny я такого насмотрелся, что этому даже не удивился. кстати, фирменная фишка lenny, по которой его запросто узнать - это что из коробки ни в less ни в man не работают стрелки и ещё несколько кнопок. как фиксить - понятия не имею, за 11 лет ни одного дистрибутива с такими фичами не видел.

anonymous ()
Ответ на: комментарий от t184256

> electricsheep No longer functional

ЭЭЭ!!! Серьезно?!

ничего не поделаешь, это lenny

anonymous ()

А я только наполовину 5.0.3 DVD скачал! Ну вот что за ерунда?

Xenius ★★★★★ ()
Ответ на: комментарий от anonymous

> из коробки ни в less ни в man не работают стрелки и ещё несколько кнопок. как фиксить - понятия не имею

Что-то внутри меня подсказывает, что из коробки там more, в котором и не работает, и/или у анонимуса каша в голове и/или клавиатуру почистить надо.

t184256 ★★★★★ ()
Ответ на: комментарий от t184256

> Что-то внутри меня подсказывает, что из коробки там more, в котором и не работает, и/или у анонимуса каша в голове и/или клавиатуру почистить надо.

да-да, разные версии, разные платформы, разница в год времени, а одна и та же фича.

да, more - это киллер-фича, без вариантов. нигде ещё не видел, чтобы less нужно было доустанавливать, очень повышает узнаваемость. и таких вот прелестей я штук 6 насчитал. хотя, признаюсь, с вылетом aptitude сталкиваюсь впервые :)

как у них при этом хватило наглости etch похоронить - в голову взять не могу

anonymous ()
Ответ на: комментарий от Xenius

повезло тебе, у тебя electricsheep, небось, работает

anonymous ()

Ещё в августе скачал все 5 DVD 5.0.2a и вот теперь думаю, скачивать ли новый вариант или ну его в болото, ждать сквиза. А так сидеть на стабильном Дебиане очень приятно в смысле малоглючности, не то, что Альт или Кубунта.

Vudod ★★★★★ ()
Ответ на: комментарий от anonymous

Записал: анонимус не осилил поставить less, одновременно испытывает в нем редкий баг, который потрясающе воспроизводим, но только у анонимуса.

Я вот недолюбливаю nano, vim-tiny и еще 20 пакетов из дефолтной поставки, но это не позволяет мне озлобленно критиковать сразу весь дистр.

Aptitude за 6 где-то лет на 3х только разных архитектурах, 0.6, 0.4 и мб что еще 6 лет назад было - падал только по нехватке памяти.

t184256 ★★★★★ ()
Ответ на: комментарий от Vudod

А поставить и обновить не вариант? Думаешь, между 5.0.2a b 5.0.4 все >20k пакетов обновились?

t184256 ★★★★★ ()
Ответ на: комментарий от t184256

> Записал: анонимус не осилил поставить less, одновременно испытывает в нем редкий баг, который потрясающе воспроизводим, но только у анонимуса.

у меня в lenny столько редких багов нашлось, сколько за годы ни в slackware ни в archlinux, ни в etch/sarge/ubuntu вместе взятых не было.

постоянно встречаю фантазёров, у которых работает lenny, правда, с оговорками. такое ощущение, что люди не знают, что существует hardy, где работает всё то же самое, только без оговорок. и которое будет поддерживаться 5 лет, а не как etch. и в котором есть куча мелочей для облегчения жизни. и в котором нет никаких непредсказуемостей, не нужно лазить по поисковым системам чтобы просто заставить это работать.

и алаверды:

# less
Missing filename («less --help» for help)

lsb_release -a
Distributor ID:   Debian
Description:   Debian GNU/Linux 5.0.3 (lenny)
Release:   5.0.3
Codename:   lenny


что ещё расскажешь? я lenny видел на большем количестве разных компьютеров, чем половина здесь собравшихся видело вообще компьютеров с linux, а число мною поставленных linux на компьютеры, думаю уже перевалило за 50 ноутбуков и кучу десктопов-серверов, поэтому я всегда такие сказки слушаю с большим удовольствием.

anonymous ()
Ответ на: комментарий от anonymous

Да, вот я, например, фантазер, на паре серверов с lenny виртуалки гоняю через XEN. Тоже lenny. Видимо, с оговорками, хотя сам бы ни за что не подумал. А рассказать, как в твоей «беспроблемной» убунте, о которой я, правда, не знаю, XEN dom0 ядро устанавливается? Почитай, попользуйся поисковой системой. Там все без оговорок - берется ядро от lenny...

t184256 ★★★★★ ()
Ответ на: комментарий от t184256

> Номер бага или не было.

в экскрементах не ковыряюсь. есть squeeze, есть hardy, их пусть развивают, а чем быстрее забьют на lenny, тем быстрее оно сдохнет.

anonymous ()
Ответ на: комментарий от t184256

> Да, вот я, например, фантазер, на паре серверов с lenny виртуалки гоняю через XEN. Тоже lenny. Видимо, с оговорками, хотя сам бы ни за что не подумал. А рассказать, как в твоей «беспроблемной» убунте, о которой я, правда, не знаю, XEN dom0 ядро устанавливается? Почитай, попользуйся поисковой системой. Там все без оговорок - берется ядро от lenny...

то-то мне пацаны поставили 2.6.18.тристроки, видимо, от беспроблемности 2.6.26

кстати, xen, это такой вчерашний век, на который уже сам redhat забил. openvz - дёшево и сердито, kvm - глобально и надёжно, а какое достоинство есть у xen, кроме того, что ленни умеет им забавляться лучше всего?

даже 1 проблема за полгода - это уже повод сказать системе «до свидания».

anonymous ()
Ответ на: комментарий от nnz

> Страшно представить, как часто вы моетесь...

я, кстати, моюсь раз этак в 356 реже, чем обновляюсь

anonymous ()
Ответ на: комментарий от anonymous

> постоянно встречаю фантазёров, у которых работает lenny

мой серверный парк смотрит на тебя как на гавно

oc ()
Ответ на: комментарий от anonymous

Поддержу анонимуса, ставил lenny на железо с via ubichrome 8, так он мне так кровь попил, было только два разрешения 640х400 и 640х350. Ни одном дистрибутиве такого дикого бага не видел. Как его тестируют, хер знает.

linux4ever ()

вопрос на засыпку бывалым дебианщикам

аптитуда обновляет man-pages ( mandb -pq ) , процесс достаточно жадный до памяти и следовательно не может нормально завершиться на машине с 256 Mb RAM ( Virtuozzo VPS, свап не добавить ), собственно вопрос: ну и что с ним делать?

Sylvia ★★★★★ ()
Ответ на: комментарий от anonymous

>то-то мне пацаны поставили 2.6.18.тристроки, видимо, от беспроблемности 2.6.26

Вот и оно, зачем совать туда было 2.6.26, если ЛБТ сказал, что 2.6.27 будет с долгой поддержкой. Велосипедисты.

linux4ever ()
Ответ на: комментарий от oc

> мой серверный парк смотрит на тебя как на гавно

строчку обслуживаемой тобой организации в fortune 500 или не было. кто-то и на винде держит пыхпых-сервер, это не значит, что там можно ракеты с этой системы запускать, может у тебя «вовремя поднятый не считается упавшим». или ты просто непрофессионал, не нюхавший жизни, который знает два инструмента и готов ими любой гвоздь забить, может быть у тебя выбор был - или lenny или в прачки идти. без фактов можно любую фантазию доказать.

anonymous ()
Ответ на: комментарий от linux4ever

> Вот и оно, зачем совать туда было 2.6.26, если ЛБТ сказал, что 2.6.27 будет с долгой поддержкой. Велосипедисты.

они решили все пороки в одном месте собрать - поставить международный памятник лени. название оближ.

anonymous ()

>Поддерживается работа с системами, аппаратные часы которых установлены на дату до зарождения Вселенной (01.01.1970).

Не знал, что вселенная так молода? Всего каких-то 40-лет :-)))))

The new installer also allows the system date to be

updated using NTP if it is before January 1st, 1970 at boot time.

Новый инсталлятор так же позволяет обновлять системную дату, используя для этого NTP при условии, что эта дата установлена до 1-го января 1970 года во время загрузки.

rjaan ★★ ()
Ответ на: комментарий от t184256

> Радикальное решение - emdebian. Там манов нет, а тебе они всяко не нужны.

Ну или просто man-db снести)

и эти феерические аттракционщики ещё могут что-то сравнивать, или, что ещё ужаснее, выбирать?

глобально и надёжно. даже windows server может позавидовать.

anonymous ()
Ответ на: комментарий от anonymous

> строчку обслуживаемой тобой организации в fortune 500 или не было.

Ну тогда твою с hardy. Или хотя бы чужую - судя по твоей рекламе их там 99%. Вообще годный ты, пухлый, одобряю.

t184256 ★★★★★ ()
Ответ на: вопрос на засыпку бывалым дебианщикам от Sylvia

Re: вопрос на засыпку бывалым дебианщикам

> вопрос на засыпку бывалым дебианщикам

давайте засыпем не бывалых дебианщиков, а lenny. прочитаем текст, всплакнём, ну всё по людски, как полагается. и забудем, начнём с чистого листа, вива ля сквиз, надеюсь и стучу мышкой по крышке ноутбука.

anonymous ()
Ответ на: комментарий от anonymous

> постоянно встречаю фантазёров, у которых работает lenny, правда, с оговорками....

Не знаю, не знаю пока все работает. Может быть что-то не так делаю????

rjaan ★★ ()

Да.l(K)enny на редкость глючная поделка,особенно если сравнивать со squezee.я их использую на домашних машинах.подумываю поставить африканскую 8.10-в ней хоть все работает. А как я в lenny настраивал планшет g-pen это вообще отдельная история.

anonymous ()
Ответ на: комментарий от t184256

сойдет..

Accept this solution? [Y/n/q/?] y
The following packages will be REMOVED:
alien{a} debhelper{a} dh-make{a} libbeecrypt6{u} libneon27{u} librpm4.4{u} lintian{a} man-db{p} man2html{a} rpm{u}
0 packages upgraded, 0 newly installed, 10 to remove and 0 not upgraded.
Need to get 0B of archives. After unpacking 12.9MB will be freed.
Do you want to continue? [Y/n/?]

Sylvia ★★★★★ ()
Ответ на: комментарий от t184256

> Ну тогда твою с hardy. Или хотя бы чужую - судя по твоей рекламе их там 99%.

я пока не имею контрольного пакета canonical, и не планирую в ближайшем времени, поэтому ubuntu такая же моя, как и твоя. на убунтусерверах такие лохи, как википедия. боюсь ошибиться, но помоему и в гугле, не уверен насчет харди, но 150е место в fortune 500 у гугля точно имеется, как и убунта. у тебя есть хороший шанс найти реальные факты и меня разуверить, ибо стар я на память стал, а два дня связи с lenny (тоже думал, что за полгода что-то изменилось, что руки были виноваты, что то да сё) я уже ни во что верить не могу.

anonymous ()
Ответ на: комментарий от Sylvia

мы вам не мешаем? вы сразу ssh перенаправляйте, так ещё веселее будет.

anonymous ()
Ответ на: комментарий от t184256

А поставить и обновить не вариант? Думаешь, между 5.0.2a b 5.0.4 все >20k пакетов обновились?

На машинах, куда стану ставить, нету интернета. вообще никакого, либо диал-ап 46. Так что там обновить вряд ли получится малою кровью.

Vudod ★★★★★ ()
Ответ на: комментарий от Vudod

А какой тогда смысл обновлений? Скачай только нужные пакеты.

linux4ever ()
Ответ на: комментарий от Vudod

Сделай из них зеркало, зеркало обнови, что заведомо не надо - выкини и иди ставь что тебе надо было. Пойдет?

t184256 ★★★★★ ()
Ответ на: комментарий от Vudod

> Ещё в августе скачал все 5 DVD 5.0.2a и вот теперь думаю, скачивать ли новый вариант или ну его в болото, ждать сквиза
Оно делается через apt-get update && apt-get upgrade
Вообще-то. Смысл качать диски более новых версий только тем, у кого нет старых.
А если комп без инета, то достаточно только update-диск скачать и с него обновиться.

Xenius ★★★★★ ()
Ответ на: комментарий от anonymous

> строчку обслуживаемой тобой организации в fortune 500

хз, что ты этим хотел сказать. fortune 500 - это список пендоских компаний, а в global списке из россии только газовики и нефтяники.

даже 1 проблема за полгода - это уже повод сказать системе «до свидания»


угу. в less не работают стрелки - парни, срочно мигрируем на генту!!!

и да, стрелки в less в 5.0.3 работают.

oc ()
Ответ на: комментарий от anonymous

дебиан, кстати, тоже пендосский. и столман с патриком - кореные пендосцы.

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.